aboutsummaryrefslogtreecommitdiffstats
path: root/testing/libreswan/ipsec.initd
diff options
context:
space:
mode:
Diffstat (limited to 'testing/libreswan/ipsec.initd')
-rw-r--r--testing/libreswan/ipsec.initd25
1 files changed, 25 insertions, 0 deletions
diff --git a/testing/libreswan/ipsec.initd b/testing/libreswan/ipsec.initd
new file mode 100644
index 0000000000..d5bb222ef8
--- /dev/null
+++ b/testing/libreswan/ipsec.initd
@@ -0,0 +1,25 @@
+#!/sbin/runscript
+
+# libreswan ipsec init.d file for alpine linux.
+
+name=ipsec
+daemon=/usr/libexec/ipsec/setup
+pidfile=/var/run/pluto/ipsec_setup.pid
+
+depend() {
+ need net
+ after firewall
+}
+
+start() {
+ ebegin "Starting ${name}"
+ $daemon start
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${name}"
+ $daemon stop
+ eend $?
+}
+